package com.ruoyi.system.domain.vo;

public class SysDeviceVo {
    public String deviceId;
    public String deviceName;
    public String soc;
    public String chargingcapacity;
    public String dischargecapacity;
    public String dateTime;
    public String greenelectricity;
    public String statecharge;
    public String capacitance;
    public String power;

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getSoc() {
        return soc;
    }

    public void setSoc(String soc) {
        this.soc = soc;
    }

    public String getChargingcapacity() {
        return chargingcapacity;
    }

    public void setChargingcapacity(String chargingcapacity) {
        this.chargingcapacity = chargingcapacity;
    }

    public String getDischargecapacity() {
        return dischargecapacity;
    }

    public void setDischargecapacity(String dischargecapacity) {
        this.dischargecapacity = dischargecapacity;
    }

    public String getDateTime() {
        return dateTime;
    }

    public void setDateTime(String dateTime) {
        this.dateTime = dateTime;
    }

    public String getGreenelectricity() {
        return greenelectricity;
    }

    public void setGreenelectricity(String greenelectricity) {
        this.greenelectricity = greenelectricity;
    }

    public String getStatecharge() {
        return statecharge;
    }

    public void setStatecharge(String statecharge) {
        this.statecharge = statecharge;
    }

    public String getCapacitance() {
        return capacitance;
    }

    public void setCapacitance(String capacitance) {
        this.capacitance = capacitance;
    }

    public String getPower() {
        return power;
    }

    public void setPower(String power) {
        this.power = power;
    }

    @Override
    public String toString() {
        return "SysDeviceVo{" +
                "deviceId='" + deviceId + '\'' +
                ", deviceName='" + deviceName + '\'' +
                ", soc='" + soc + '\'' +
                ", chargingcapacity='" + chargingcapacity + '\'' +
                ", dischargecapacity='" + dischargecapacity + '\'' +
                ", dateTime='" + dateTime + '\'' +
                ", greenelectricity='" + greenelectricity + '\'' +
                ", statecharge='" + statecharge + '\'' +
                ", capacitance='" + capacitance + '\'' +
                ", power='" + power + '\'' +
                '}';
    }
}
